Bug 379441 - yelp: silly error popup when loading dev (3) manpages
yelp: silly error popup when loading dev (3) manpages
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yelp (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-13 01:07 EST by Pedro Matiello
Modified: 2008-06-29 11:40 EDT (History)
0 users

See Also:
Fixed In Version: yelp-2.22.1-3.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-29 11:40:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pedro Matiello 2007-11-13 01:07:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en; rv:1.8.1.8) Gecko/20071030 Epiphany/2.20 Firefox/2.0.0.8 pango-text

Description of problem:
When loading development (3) manpages, yelp popups an error message complaining that the page was not found - but shows the page regardless.

E.g., for malloc:
"""
Page not found
The requested page was not found in the document /usr/share/man/man3/malloc.3.gz.
"""

Version-Release number of selected component (if applicable):
yelp-2.20.0-2.fc8

How reproducible:
Always


Steps to Reproduce:
1. Install man-pages package (if not already installed);
2. Open yelp;
3. Click Manual Pages;
4. Click Development;
5. Click any manpage.

Actual Results:
Manpage is shown.
Error window popups complaining that the page was not found.

Expected Results:
Manpage should be shown.
No error popups when there is no real error.

Additional info:
Comment 1 petrosyan 2008-03-14 12:32:22 EDT
I can confirm this bug also on x86_64. For example running:

$ yelp man:zlib

from a command line triggers this bug.
Comment 2 Matthew Barnes 2008-06-29 11:40:45 EDT
I can no longer reproduce this bug in Fedora 9 using the procedure given in
comment #0 or comment #1.  Closing as CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.